package com.fjhx.flow.controller.flow;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.fjhx.flow.entity.flow.dto.FlowDefinitionDto;
import com.fjhx.flow.entity.flow.po.FlowDefinition;
import com.fjhx.flow.service.flow.FlowDefinitionService;
import com.ruoyi.common.annotation.TenantIgnore;
import com.ruoyi.common.constant.BaseSourceConstant;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 流程定义 前端控制器
 * </p>
 *
 * @author
 * @since 2023-03-15
 */
@TenantIgnore
@DS(BaseSourceConstant.BASE)
@RestController
@RequestMapping("/flowDefinition")
public class FlowDefinitionController {

    @Autowired
    private FlowDefinitionService flowDefinitionService;

    /**
     * 添加租户流程
     */
    @PostMapping("/add")
    public void add(@Validated @RequestBody FlowDefinition flowDefinition) {
        flowDefinitionService.add(flowDefinition);
    }

    /**
     * 添加租户流程版本
     */
    @PostMapping("/addVersion")
    public void addVersion(@Validated @RequestBody FlowDefinitionDto dto) {
        flowDefinitionService.addVersion(dto);
    }

}
